Subject: Re: [tsvwg] draft-ietf-tsvwg-rfc4960-bis-08 and SFR

From: Michael Tuexen <[email-masked]>
Date: Tue, 2 Feb 2021 14:38:15 +0100

> On 4. Dec 2020, at 23:59, Marcelo Ricardo Leitner <[email-masked]> wrote:
> 
> Hi,
> 
> Was it considered to add the Split Fast Retransmit from [1,2]
> to 4690bis instead? It might be a too big change for a bis edition,
> more complex, but it helps to better isolate path characteristics.
> SCTP already has a cwnd per destination, and drops on different,
> likely unrelated, paths shouldn't interfere on another's cwnd. I
> understand that if not in CMT context, the gains out of it may not be
> appealing enough, as in theory it would be most effective only during
> path fail overs.
Hi Marcelo,

such a change was not suggested. And I think SFR is more in the context of
multipath and as you know, it seems that multipath support for SCTP will
not progress in TSVWG.

I guess, if we would introduce RACK for SCTP, we would do something path
specific. But I'm not sure if there is interest in doing this.
Need to talk to people...

Best regards
Michael
> 
> 1.http://dx.doi.org/10.1109/TNET.2006.882843
> 2.https://datatracker.ietf.org/doc/html/draft-tuexen-tsvwg-sctp-multipath-20#section-3.1
> 
> Best regards,
> Marcelo
>